import { ToolActionButtonGroupDisplayType_$type } from "./ToolActionButtonGroupDisplayType";
import { IgrToolAction } from "./igr-tool-action";
import { ToolActionButtonPair } from "./ToolActionButtonPair";
import { ensureBool, brushToString, stringToBrush, toBrushCollection, fromBrushCollection, ensureEnum } from "igniteui-react-core";
export class IgrToolActionButtonPair extends IgrToolAction {
    createImplementation() {
        return new ToolActionButtonPair();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    get leftIsSelected() {
        return this.i.hu;
    }
    set leftIsSelected(v) {
        this.i.hu = ensureBool(v);
    }
    get rightIsSelected() {
        return this.i.hx;
    }
    set rightIsSelected(v) {
        this.i.hx = ensureBool(v);
    }
    get leftIsDisabled() {
        return this.i.ht;
    }
    set leftIsDisabled(v) {
        this.i.ht = ensureBool(v);
    }
    get rightIsDisabled() {
        return this.i.hw;
    }
    set rightIsDisabled(v) {
        this.i.hw = ensureBool(v);
    }
    get leftIconName() {
        return this.i.iq;
    }
    set leftIconName(v) {
        this.i.iq = v;
    }
    get leftCommandArgument() {
        return this.i.ij;
    }
    set leftCommandArgument(v) {
        this.i.ij = v;
    }
    get isToggleDisabled() {
        return this.i.hs;
    }
    set isToggleDisabled(v) {
        this.i.hs = ensureBool(v);
    }
    get leftIconCollectionName() {
        return this.i.il;
    }
    set leftIconCollectionName(v) {
        this.i.il = v;
    }
    /**
     * Gets or sets the LeftIcon viewbox left.
    */
    get leftIconViewBoxLeft() {
        return this.i.h3;
    }
    set leftIconViewBoxLeft(v) {
        this.i.h3 = +v;
    }
    /**
     * Gets or sets the LeftIcon viewbox top.
    */
    get leftIconViewBoxTop() {
        return this.i.h4;
    }
    set leftIconViewBoxTop(v) {
        this.i.h4 = +v;
    }
    /**
     * Gets or sets the LeftIcon viewbox width.
    */
    get leftIconViewBoxWidth() {
        return this.i.h5;
    }
    set leftIconViewBoxWidth(v) {
        this.i.h5 = +v;
    }
    /**
     * Gets or sets the LeftIcon viewbox height.
    */
    get leftIconViewBoxHeight() {
        return this.i.h2;
    }
    set leftIconViewBoxHeight(v) {
        this.i.h2 = +v;
    }
    /**
     * Gets or sets the LeftIcon fill color.
    */
    get leftIconFill() {
        return brushToString(this.i.jt);
    }
    set leftIconFill(v) {
        this.i.jt = stringToBrush(v);
    }
    /**
     * Gets the actual LeftIcon fill color.
    */
    get actualLeftIconFill() {
        return brushToString(this.i.jp);
    }
    set actualLeftIconFill(v) {
        this.i.jp = stringToBrush(v);
    }
    /**
     * Gets or sets the LeftIcon fill colors.
    */
    get leftIconFillColors() {
        return fromBrushCollection(this.i.g9);
    }
    set leftIconFillColors(v) {
        this.i.g9 = toBrushCollection(v);
    }
    /**
     * Gets or sets the LeftIcon stroke color.
    */
    get leftIconStroke() {
        return brushToString(this.i.ju);
    }
    set leftIconStroke(v) {
        this.i.ju = stringToBrush(v);
    }
    /**
     * Gets the actual LeftIcon stroke color.
    */
    get actualLeftIconStroke() {
        return brushToString(this.i.jq);
    }
    set actualLeftIconStroke(v) {
        this.i.jq = stringToBrush(v);
    }
    /**
     * Gets or sets the LeftIcon stroke colors.
    */
    get leftIconStrokeColors() {
        return fromBrushCollection(this.i.ha);
    }
    set leftIconStrokeColors(v) {
        this.i.ha = toBrushCollection(v);
    }
    /**
     * Gets or sets the LeftIcon viewbox width.
    */
    get leftIconStrokeWidth() {
        return this.i.h1;
    }
    set leftIconStrokeWidth(v) {
        this.i.h1 = +v;
    }
    /**
     * Gets or sets the title of the left button.
    */
    get leftTitle() {
        return this.i.i1;
    }
    set leftTitle(v) {
        this.i.i1 = v;
    }
    get rightIconName() {
        return this.i.i9;
    }
    set rightIconName(v) {
        this.i.i9 = v;
    }
    get rightCommandArgument() {
        return this.i.i3;
    }
    set rightCommandArgument(v) {
        this.i.i3 = v;
    }
    get rightIconCollectionName() {
        return this.i.i5;
    }
    set rightIconCollectionName(v) {
        this.i.i5 = v;
    }
    /**
     * Gets or sets the RightIcon viewbox left.
    */
    get rightIconViewBoxLeft() {
        return this.i.h8;
    }
    set rightIconViewBoxLeft(v) {
        this.i.h8 = +v;
    }
    /**
     * Gets or sets the RightIcon viewbox top.
    */
    get rightIconViewBoxTop() {
        return this.i.h9;
    }
    set rightIconViewBoxTop(v) {
        this.i.h9 = +v;
    }
    /**
     * Gets or sets the RightIcon viewbox width.
    */
    get rightIconViewBoxWidth() {
        return this.i.ia;
    }
    set rightIconViewBoxWidth(v) {
        this.i.ia = +v;
    }
    /**
     * Gets or sets the RightIcon viewbox height.
    */
    get rightIconViewBoxHeight() {
        return this.i.h7;
    }
    set rightIconViewBoxHeight(v) {
        this.i.h7 = +v;
    }
    /**
     * Gets or sets the RightIcon fill color.
    */
    get rightIconFill() {
        return brushToString(this.i.jv);
    }
    set rightIconFill(v) {
        this.i.jv = stringToBrush(v);
    }
    /**
     * Gets the actual RightIcon fill color.
    */
    get actualRightIconFill() {
        return brushToString(this.i.jr);
    }
    set actualRightIconFill(v) {
        this.i.jr = stringToBrush(v);
    }
    /**
     * Gets or sets the RightIcon fill colors.
    */
    get rightIconFillColors() {
        return fromBrushCollection(this.i.hb);
    }
    set rightIconFillColors(v) {
        this.i.hb = toBrushCollection(v);
    }
    /**
     * Gets or sets the RightIcon stroke color.
    */
    get rightIconStroke() {
        return brushToString(this.i.jw);
    }
    set rightIconStroke(v) {
        this.i.jw = stringToBrush(v);
    }
    /**
     * Gets the actual RightIcon stroke color.
    */
    get actualRightIconStroke() {
        return brushToString(this.i.js);
    }
    set actualRightIconStroke(v) {
        this.i.js = stringToBrush(v);
    }
    /**
     * Gets or sets the RightIcon stroke colors.
    */
    get rightIconStrokeColors() {
        return fromBrushCollection(this.i.hc);
    }
    set rightIconStrokeColors(v) {
        this.i.hc = toBrushCollection(v);
    }
    /**
     * Gets or sets the RightIcon viewbox width.
    */
    get rightIconStrokeWidth() {
        return this.i.h6;
    }
    set rightIconStrokeWidth(v) {
        this.i.h6 = +v;
    }
    /**
     * Gets or sets the title of the Right button.
    */
    get rightTitle() {
        return this.i.jk;
    }
    set rightTitle(v) {
        this.i.jk = v;
    }
    /**
     * Gets or sets the display type for the button.
    */
    get displayType() {
        return this.i.hd;
    }
    set displayType(v) {
        this.i.hd = ensureEnum(ToolActionButtonGroupDisplayType_$type, v);
    }
    /**
     * Gets or sets the button corner radius.
    */
    get cornerRadius() {
        return this.i.hy;
    }
    set cornerRadius(v) {
        this.i.hy = +v;
    }
}
