import { Base, Type, INotifyPropertyChanged, EventArgs, PropertyChangedEventArgs } from "igniteui-react-core";
import { INativeUIElementFactory } from "igniteui-react-core";
import { NativeUIElementFactoryFlavor } from "igniteui-react-core";
import { NativeUIComponent } from "igniteui-react-core";
import { NativeUIComponentBuiltInType } from "igniteui-react-core";
import { DomRenderer, DomWrapper } from "igniteui-react-core";
import { XComponentBridge } from "igniteui-react-inputs";
import { INativeUIToolPanelBridge } from "./INativeUIToolPanelBridge";
import { Size } from "igniteui-react-core";
import { ControlDisplayDensity } from "igniteui-react-core";
import { NativeUIDisplayDensity } from "igniteui-react-core";
import { NativeUIBuiltInEvents } from "igniteui-react-core";
import { ToolCommandEventArgs } from "./ToolCommandEventArgs";
import { NativeUIBuiltInProperties } from "igniteui-react-core";
import { ToolPanelOrientation } from "./ToolPanelOrientation";
import { BaseControlTheme } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { ToolPanelContext } from "./ToolPanelContext";
import { BrushCollection } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { INativeUIToolbarBridge } from "./INativeUIToolbarBridge";
import { ToolbarSubMenuOpeningEventArgs } from "./ToolbarSubMenuOpeningEventArgs";
import { NativeUIToolbarSubMenuOpeningEventArgs } from "./NativeUIToolbarSubMenuOpeningEventArgs";
import { ToolbarSubMenuClosingEventArgs } from "./ToolbarSubMenuClosingEventArgs";
import { List$1 } from "igniteui-react-core";
import { ToolbarOrientation } from "./ToolbarOrientation";
import { RenderingContext } from "igniteui-react-core";
import { Popup } from "igniteui-react-core";
import { NativeUIContent } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { ListPanel } from "./ListPanel";
import { NativeUIContentRefreshedEventArgs } from "./NativeUIContentRefreshedEventArgs";
import { ToolContextBindingCollection } from "./ToolContextBindingCollection";
import { IExecutionContext } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { ToolActionType } from "igniteui-react-core";
import { ToolActionInfo } from "igniteui-react-core";
import { NativeUIGrid } from "igniteui-react-core";
import { ToolContextBinding } from "./ToolContextBinding";
import { ToolPanelContextChangedEventArgs } from "./ToolPanelContextChangedEventArgs";
import { ToolPanelContextSwappedEventArgs } from "./ToolPanelContextSwappedEventArgs";
import { NativeUIButton } from "igniteui-react-core";
import { NativeUIButtonClickedEventArgs } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { ToolActionEventDetail } from "./ToolActionEventDetail";
import { ToolCommandArgument } from "igniteui-react-core";
import { NativeUIIcon } from "igniteui-react-core";
import { ToolActionInfoDensity } from "igniteui-react-core";
import { ListPanelTemplateItemUpdatingEventArgs } from "./ListPanelTemplateItemUpdatingEventArgs";
import { ToolActionMeasurementContext } from "./ToolActionMeasurementContext";
import { ToolActionPerformedEventArgs } from "./ToolActionPerformedEventArgs";
import { ToolCommand } from "igniteui-react-core";
import { ToolContextBindingInfo } from "igniteui-react-core";
import { NativeUIClickedEventArgs } from "igniteui-react-core";
import { LayoutSelectedItemsCollection } from "./LayoutSelectedItemsCollection";
import { ToolActionButtonGroupDisplayType } from "./ToolActionButtonGroupDisplayType";
import { LayoutSelectedKeysCollection } from "./LayoutSelectedKeysCollection";
import { ToolActionCheckboxListIndexType } from "./ToolActionCheckboxListIndexType";
import { ToolActionButtonDisplayType } from "./ToolActionButtonDisplayType";
import { NativeUIPopup } from "igniteui-react-core";
import { NativeUIMouseEventArgs } from "igniteui-react-core";
import { NativeUIFocusEventArgs } from "igniteui-react-core";
import { ICommandStateChangedListener } from "igniteui-react-core";
import { IToolbarTarget } from "igniteui-react-core";
import { ToolCommandStateType } from "igniteui-react-core";
import { IToolbarContextAccessor } from "igniteui-react-core";
import { ToolContextValueType } from "igniteui-react-core";
import { NestedActionMode } from "./NestedActionMode";
import { ToolPanelContentRefreshedEventArgs } from "./ToolPanelContentRefreshedEventArgs";
import { NativeUIAbsolutePanel } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class NativeUILayoutFactory extends Base implements INativeUIElementFactory {
    static $t: Type;
    private static a;
    static get b(): NativeUILayoutFactory;
    static g(): void;
    private c;
    get flavor(): NativeUIElementFactoryFlavor;
    createComponent(a: any, b: NativeUIComponentBuiltInType, c: (arg1: any) => void): void;
    createComponentSync(a: any, b: NativeUIComponentBuiltInType, c: (arg1: any) => void): void;
    supportsComponent(a: NativeUIComponentBuiltInType): boolean;
    private d;
    private f;
    private e;
}
/**
 * @hidden
 */
export declare class XToolPanelBridge extends XComponentBridge implements INativeUIToolPanelBridge {
    static $t: Type;
    private u;
    private y;
    private v;
    private z;
    private w;
    private aa;
    constructor(a: any);
    getDesiredSize(a: any, b: Size): Size;
    private x;
    updateDensity(a: any, b: NativeUIDisplayDensity): void;
    addHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    removeHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    private ac;
    private ad;
    private ab;
    getTargetForBuildInProperty(a: any, b: NativeUIBuiltInProperties): any;
    setValue(a: any, b: NativeUIBuiltInProperties, c: any): void;
    getValue(a: any, b: NativeUIBuiltInProperties): any;
    refresh(a: any): void;
    flushRefresh(a: any): void;
    notifySizeChanged(a: any, b: Size): void;
    getContext(a: any): ToolPanelContext;
    setContext(a: any, b: ToolPanelContext): void;
    setBrushContextItem(a: any, b: string, c: Brush): void;
    getBrushContextItem(a: any, b: string): Brush;
    setBrushCollectionContextItem(a: any, b: string, c: BrushCollection): void;
    getBrushCollectionContextItem(a: any, b: string): BrushCollection;
    setDoubleContextItem(a: any, b: string, c: number): void;
    getDoubleContextItem(a: any, b: string): number;
    setStringContextItem(a: any, b: string, c: string): void;
    getStringContextItem(a: any, b: string): string;
    setBoolContextItem(a: any, b: string, c: boolean): void;
    getBoolContextItem(a: any, b: string): boolean;
    setColorContextItem(a: any, b: string, c: Color): void;
    getColorContextItem(a: any, b: string): Color;
    setDataContextItem(a: any, b: string, c: any): void;
    getDataContextItem(a: any, b: string): any;
}
/**
 * @hidden
 */
export declare class XToolbarBridge extends XComponentBridge implements INativeUIToolbarBridge {
    static $t: Type;
    private u;
    private ac;
    private v;
    private ad;
    private y;
    private ae;
    private x;
    private ab;
    private w;
    private aa;
    constructor(a: any);
    getDesiredSize(a: any, b: Size): Size;
    private z;
    addHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    private ah;
    private ag;
    removeHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    private af;
    setValue(a: any, b: NativeUIBuiltInProperties, c: any): void;
    getValue(a: any, b: NativeUIBuiltInProperties): any;
    flushRefresh(a: any): void;
    notifySizeChanged(a: any, b: Size): void;
    setBrushContextItem(a: any, b: string, c: Brush): void;
    getBrushContextItem(a: any, b: string): Brush;
    setBrushCollectionContextItem(a: any, b: string, c: BrushCollection): void;
    getBrushCollectionContextItem(a: any, b: string): BrushCollection;
    setDoubleContextItem(a: any, b: string, c: number): void;
    getDoubleContextItem(a: any, b: string): number;
    setStringContextItem(a: any, b: string, c: string): void;
    getStringContextItem(a: any, b: string): string;
    setBoolContextItem(a: any, b: string, c: boolean): void;
    getBoolContextItem(a: any, b: string): boolean;
    setColorContextItem(a: any, b: string, c: Color): void;
    getColorContextItem(a: any, b: string): Color;
    setDataContextItem(a: any, b: string, c: any): void;
    getDataContextItem(a: any, b: string): any;
}
/**
 * @hidden
 */
export declare class ToolbarView extends Base {
    static $t: Type;
    private o;
    private n;
    private g;
    constructor();
    q(): any;
    a: Toolbar;
    w(): void;
    j: DomRenderer;
    m: DomWrapper;
    e: RenderingContext;
    l: DomWrapper;
    u(a: DomRenderer): void;
    z(): void;
    y(): void;
    t(): void;
    aa(): void;
    private b;
    private ab;
    private c;
    private _gridExternal;
    d(): FontInfo;
    v(): void;
    x(): void;
    s(): void;
    h(): number;
    i(a: string): number;
    f: boolean;
    private k;
    r(a: any, b: (arg1: any) => void): void;
}
/**
 * @hidden
 */
export declare class ToolPanelView extends Base {
    static $t: Type;
    private u;
    private t;
    constructor();
    x(): any;
    c: ToolPanel;
    af(): void;
    p: DomRenderer;
    get v(): DomWrapper;
    s: DomWrapper;
    i: RenderingContext;
    r: DomWrapper;
    ad(a: DomRenderer): void;
    ai(): void;
    ab(): void;
    m(): number;
    l(): number;
    aj(): void;
    private d;
    private e;
    private al;
    private f;
    private _gridExternal;
    g(): FontInfo;
    h(): FontInfo;
    ae(): void;
    ah(): void;
    ag(): void;
    ac(): void;
    aa(): void;
    k(): number;
    n(a: string): number;
    o(a: string, b: FontInfo): number;
    j: boolean;
    private q;
    z(a: any, b: (arg1: any) => void): void;
    a(): Popup;
    b(a: NativeUIContent): ToolPanel;
    ak(a: any): Rect;
    y(): void;
}
/**
 * @hidden
 */
export declare class NativeUIToolPanel extends NativeUIComponent {
    static $t: Type;
    private get bo();
    get bt(): ToolActionCollection;
    set bt(a: ToolActionCollection);
    get bz(): number;
    set bz(a: number);
    get by(): number;
    get bv(): ToolPanelOrientation;
    set bv(a: ToolPanelOrientation);
    get ch(): Brush;
    set ch(a: Brush);
    get cg(): Brush;
    set cg(a: Brush);
    get b9(): Brush;
    set b9(a: Brush);
    get bx(): FontInfo;
    set bx(a: FontInfo);
    get b7(): Brush;
    set b7(a: Brush);
    get b4(): Brush;
    set b4(a: Brush);
    get cf(): Brush;
    set cf(a: Brush);
    get b8(): Brush;
    set b8(a: Brush);
    get ca(): Brush;
    set ca(a: Brush);
    get ce(): Brush;
    set ce(a: Brush);
    get bw(): FontInfo;
    set bw(a: FontInfo);
    get cd(): Brush;
    set cd(a: Brush);
    get ci(): Brush;
    set ci(a: Brush);
    get b5(): Brush;
    set b5(a: Brush);
    get cj(): Brush;
    set cj(a: Brush);
    get b6(): Brush;
    set b6(a: Brush);
    get cb(): Brush;
    set cb(a: Brush);
    get bu(): ToolPanelContext;
    set bu(a: ToolPanelContext);
    get cc(): Brush;
    set cc(a: Brush);
    private bp;
    get bq(): (sender: any, args: NativeUIContentRefreshedEventArgs) => void;
    set bq(a: (sender: any, args: NativeUIContentRefreshedEventArgs) => void);
    private bk;
    get bm(): (sender: any, e: DrillDownRequestedEventArgs) => void;
    set bm(a: (sender: any, e: DrillDownRequestedEventArgs) => void);
    private bl;
    get bn(): (sender: any, e: DrillDownRequestedEventArgs) => void;
    set bn(a: (sender: any, e: DrillDownRequestedEventArgs) => void);
    private br;
    get bs(): (sender: any, args: ToolCommandEventArgs) => void;
    set bs(a: (sender: any, args: ToolCommandEventArgs) => void);
    b2(): void;
    b3(a: NativeUIDisplayDensity): void;
    b0(): void;
    b1(a: Size): void;
}
/**
 * @hidden
 */
export declare class NativeUIToolbar extends NativeUIComponent {
    static $t: Type;
    private get bk();
    get bt(): ToolActionCollection;
    set bt(a: ToolActionCollection);
    get b1(): any;
    set b1(a: any);
    get by(): boolean;
    set by(a: boolean);
    get b0(): number;
    set b0(a: number);
    get bz(): number;
    get bu(): ToolPanelOrientation;
    set bu(a: ToolPanelOrientation);
    get ch(): Brush;
    set ch(a: Brush);
    get cg(): Brush;
    set cg(a: Brush);
    get b9(): Brush;
    set b9(a: Brush);
    get bw(): FontInfo;
    set bw(a: FontInfo);
    get b7(): Brush;
    set b7(a: Brush);
    get b4(): Brush;
    set b4(a: Brush);
    get cf(): Brush;
    set cf(a: Brush);
    get b8(): Brush;
    set b8(a: Brush);
    get ca(): Brush;
    set ca(a: Brush);
    get ce(): Brush;
    set ce(a: Brush);
    get bv(): FontInfo;
    set bv(a: FontInfo);
    get cd(): Brush;
    set cd(a: Brush);
    get ci(): Brush;
    set ci(a: Brush);
    get b5(): Brush;
    set b5(a: Brush);
    get cj(): Brush;
    set cj(a: Brush);
    get b6(): Brush;
    set b6(a: Brush);
    get cb(): Brush;
    set cb(a: Brush);
    get cc(): Brush;
    set cc(a: Brush);
    get bx(): boolean;
    private bl;
    get bm(): (sender: any, args: NativeUIContentRefreshedEventArgs) => void;
    set bm(a: (sender: any, args: NativeUIContentRefreshedEventArgs) => void);
    private br;
    get bs(): (sender: any, args: ToolCommandEventArgs) => void;
    set bs(a: (sender: any, args: ToolCommandEventArgs) => void);
    private bo;
    get bq(): (sender: any, args: NativeUIToolbarSubMenuOpeningEventArgs) => void;
    set bq(a: (sender: any, args: NativeUIToolbarSubMenuOpeningEventArgs) => void);
    private bn;
    get bp(): (sender: any, args: NativeUIToolbarSubMenuOpeningEventArgs) => void;
    set bp(a: (sender: any, args: NativeUIToolbarSubMenuOpeningEventArgs) => void);
    b2(): void;
    b3(a: Size): void;
}
/**
 * @hidden
 */
export declare abstract class ToolAction extends Base implements INotifyPropertyChanged {
    static $t: Type;
    q: ToolPanel;
    protected get_a7(): boolean;
    get a7(): boolean;
    private bh;
    private bk;
    private bj;
    private bg;
    private bf;
    protected gd(a: string, b: any): void;
    private f6;
    private f7;
    private e0;
    private gg;
    protected cq(a: string, b: any): any;
    protected h<T>($t: Type, a: string, b: T): T;
    protected cp(a: string, b: any): any;
    private cn;
    private ga;
    private o;
    get contextBindings(): ToolContextBindingCollection;
    set contextBindings(a: ToolContextBindingCollection);
    protected av(): boolean;
    protected fe(a: (arg1: ToolContextBinding) => void): void;
    private ay;
    protected gb(a: string, b: any): void;
    protected aw(a: string): boolean;
    protected ax(a: string): boolean;
    gc(a: ToolPanel): void;
    private co;
    private r;
    protected fw(): void;
    private c;
    get d(): IExecutionContext;
    set d(a: IExecutionContext);
    private ct;
    get cu(): string;
    g: ToolAction;
    private i;
    get actions(): ToolActionCollection;
    get cj(): number;
    set cj(a: number);
    get b4(): number;
    set b4(a: number);
    get ck(): number;
    set ck(a: number);
    constructor();
    e2(): void;
    private fr;
    private fs;
    private fi;
    private fj;
    private fm;
    protected e1(a: ToolAction, b: string): void;
    private eq;
    k(a: boolean): ToolActionEventDetail;
    private fg;
    protected fh(a: List$1<ToolCommandArgument>): void;
    eo(): string;
    cr(): any;
    cs(): any;
    get em(): string;
    set em(a: string);
    dh: string;
    de: string;
    eh: string;
    ep(): string;
    get dm(): string;
    set dm(a: string);
    get dj(): string;
    set dj(a: string);
    get cl(): any;
    set cl(a: any);
    get s(): BaseControlTheme;
    set s(a: BaseControlTheme);
    get cf(): number;
    set cf(a: number);
    get bw(): number;
    set bw(a: number);
    get cg(): number;
    set cg(a: number);
    get bx(): number;
    set bx(a: number);
    get ce(): number;
    set ce(a: number);
    get bv(): number;
    set bv(a: number);
    get ch(): number;
    set ch(a: number);
    get by(): number;
    set by(a: number);
    get gt(): Brush;
    set gt(a: Brush);
    get g1(): Brush;
    set g1(a: Brush);
    private gp;
    get gq(): Brush;
    set gq(a: Brush);
    get gy(): Brush;
    set gy(a: Brush);
    get gx(): Brush;
    set gx(a: Brush);
    get g5(): Brush;
    set g5(a: Brush);
    get gw(): Brush;
    set gw(a: Brush);
    get g4(): Brush;
    set g4(a: Brush);
    get gr(): Brush;
    set gr(a: Brush);
    get gz(): Brush;
    set gz(a: Brush);
    private aa;
    get ad(): FontInfo;
    set ad(a: FontInfo);
    get ag(): FontInfo;
    set ag(a: FontInfo);
    get ac(): FontInfo;
    set ac(a: FontInfo);
    get af(): FontInfo;
    set af(a: FontInfo);
    get a5(): boolean;
    set a5(a: boolean);
    get a6(): boolean;
    set a6(a: boolean);
    get v(): ControlDisplayDensity;
    set v(a: ControlDisplayDensity);
    get u(): ControlDisplayDensity;
    set u(a: ControlDisplayDensity);
    get a4(): boolean;
    get ef(): string;
    set ef(a: string);
    get ex(): string;
    set ex(a: string);
    get er(): string;
    set er(a: string);
    private bq;
    protected get_ci(): number;
    get ci(): number;
    get d3(): string;
    set d3(a: string);
    get dy(): string;
    set dy(a: string);
    private bo;
    get ca(): number;
    set ca(a: number);
    get cb(): number;
    set cb(a: number);
    get cc(): number;
    set cc(a: number);
    get b9(): number;
    set b9(a: number);
    get g2(): Brush;
    set g2(a: Brush);
    get gu(): Brush;
    set gu(a: Brush);
    get a(): BrushCollection;
    set a(a: BrushCollection);
    get g3(): Brush;
    set g3(a: Brush);
    get gv(): Brush;
    set gv(a: Brush);
    get b(): BrushCollection;
    set b(a: BrushCollection);
    get b8(): number;
    set b8(a: number);
    private bp;
    get cd(): number;
    set cd(a: number);
    private bm;
    get bu(): number;
    set bu(a: number);
    private bn;
    get b7(): number;
    set b7(a: number);
    private bl;
    get bt(): number;
    set bt(a: number);
    get g6(): Visibility;
    set g6(a: Visibility);
    get at(): boolean;
    set at(a: boolean);
    get b6(): number;
    set b6(a: number);
    get bs(): number;
    set bs(a: number);
    get b5(): number;
    set b5(a: number);
    get br(): number;
    set br(a: number);
    get g0(): Brush;
    set g0(a: Brush);
    get gs(): Brush;
    set gs(a: Brush);
    protected get_a0(): boolean;
    protected get a0(): boolean;
    protected get_a1(): boolean;
    protected get a1(): boolean;
    protected get_ba(): boolean;
    protected get ba(): boolean;
    protected get_bc(): boolean;
    protected get bc(): boolean;
    protected get_as(): boolean;
    protected get as(): boolean;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected fn(): void;
    protected fx(a: string, b: any, c: any): void;
    protected get_z(): ToolActionType;
    get z(): ToolActionType;
    protected f5(a: string, b: any, c: any): void;
    private gl;
    protected ge(a: string): void;
    protected gf(a: string): void;
    protected a9(a: string): boolean;
    private bi;
    private ft;
    private fu;
    private f4;
    protected ai(a: ControlDisplayDensity): NativeUIDisplayDensity;
    protected w(a: ToolActionInfoDensity): ControlDisplayDensity;
    protected get a3(): boolean;
    protected fk(): void;
    protected gh(): void;
    private gk;
    private ab;
    protected a8(): boolean;
    gn(): void;
    protected b3(): number;
    protected go(): void;
    protected fv(): void;
    fz(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    f0(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
    e7(a: ToolPanel, b: ToolActionMeasurementContext): void;
    e8(a: ToolPanel, b: ToolActionMeasurementContext): void;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    b2(a: ToolPanel, b: ToolActionMeasurementContext): number;
    b0(a: ToolPanel, b: ToolActionMeasurementContext): number;
    ae(a: ToolPanel): FontInfo;
    bz(a: ToolPanel, b: ToolActionMeasurementContext): number;
    fy(a: ToolActionEventDetail, b: ToolAction): void;
    private f8;
    protected f9(a: ToolCommand, b: boolean): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    protected bd(): boolean;
    private e5;
    a2(): boolean;
    private fo;
    private e6;
    performed: (sender: any, args: ToolActionPerformedEventArgs) => void;
    static f(a: ToolActionInfo): ToolAction;
    protected y: ToolActionInfo;
    protected ff(): void;
    protected n(a: ToolContextBindingInfo): ToolContextBinding;
    protected bb(): boolean;
    protected be(): boolean;
    protected aj(a: NativeUIComponentBuiltInType): NativeUIElementFactoryFlavor;
    private an;
    protected get ao(): NativeUIGrid;
    private ak;
    private ah;
    private ap;
    private am;
    private aq;
    private ar;
    private fd;
    protected fc(): void;
    protected fb(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected fa(a: NativeUIGrid, b: ToolActionMeasurementContext): void;
    protected gm(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private e9;
    private az;
    private fl;
    private gi;
    protected e3(a: NativeUIContent): void;
    protected fq(): void;
    protected fp(a: any, b: NativeUIClickedEventArgs): void;
    f2(): void;
    e4(): void;
    f3(a: ToolAction): void;
    static au(a: ToolAction, b: ToolActionInfo): boolean;
    e(): NativeUIToolPanel;
    cm(): any;
    dt(): string;
    private t;
    private al;
    private get x();
    private set x(value);
    gj(a: ControlDisplayDensity): void;
}
/**
 * @hidden
 */
export declare class ToolActionColorEditor extends ToolAction {
    static $t: Type;
    private g7;
    protected get_z(): ToolActionType;
    get hd(): Brush;
    set hd(a: Brush);
    protected fh(a: List$1<ToolCommandArgument>): void;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    g9(): string;
    k(a: boolean): ToolActionEventDetail;
    private hb;
    private hc;
    private g8;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected f5(a: string, b: any, c: any): void;
    protected fq(): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionCombo extends ToolAction {
    static $t: Type;
    protected get_z(): ToolActionType;
    get itemsSource(): any;
    set itemsSource(a: any);
    get hb(): string;
    set hb(a: string);
    get hf(): string;
    set hf(a: string);
    get g7(): LayoutSelectedItemsCollection;
    set g7(a: LayoutSelectedItemsCollection);
    protected f5(a: string, b: any, c: any): void;
    private g8;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private g9;
    private hh;
    private hi;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected fq(): void;
    k(a: boolean): ToolActionEventDetail;
    protected fh(a: List$1<ToolCommandArgument>): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionButtonPair extends ToolAction {
    static $t: Type;
    protected get_z(): ToolActionType;
    get hu(): boolean;
    set hu(a: boolean);
    get hx(): boolean;
    set hx(a: boolean);
    get ht(): boolean;
    set ht(a: boolean);
    get hw(): boolean;
    set hw(a: boolean);
    get iq(): string;
    set iq(a: string);
    get ij(): string;
    set ij(a: string);
    get hs(): boolean;
    set hs(a: boolean);
    get il(): string;
    set il(a: string);
    get h3(): number;
    set h3(a: number);
    get h4(): number;
    set h4(a: number);
    get h5(): number;
    set h5(a: number);
    get h2(): number;
    set h2(a: number);
    get jt(): Brush;
    set jt(a: Brush);
    get jp(): Brush;
    set jp(a: Brush);
    get g9(): BrushCollection;
    set g9(a: BrushCollection);
    get ju(): Brush;
    set ju(a: Brush);
    get jq(): Brush;
    set jq(a: Brush);
    get ha(): BrushCollection;
    set ha(a: BrushCollection);
    get h1(): number;
    set h1(a: number);
    get i1(): string;
    set i1(a: string);
    get i9(): string;
    set i9(a: string);
    get i3(): string;
    set i3(a: string);
    get i5(): string;
    set i5(a: string);
    get h8(): number;
    set h8(a: number);
    get h9(): number;
    set h9(a: number);
    get ia(): number;
    set ia(a: number);
    get h7(): number;
    set h7(a: number);
    get jv(): Brush;
    set jv(a: Brush);
    get jr(): Brush;
    set jr(a: Brush);
    get hb(): BrushCollection;
    set hb(a: BrushCollection);
    get jw(): Brush;
    set jw(a: Brush);
    get js(): Brush;
    set js(a: Brush);
    get hc(): BrushCollection;
    set hc(a: BrushCollection);
    get h6(): number;
    set h6(a: number);
    get jk(): string;
    set jk(a: string);
    get hd(): ToolActionButtonGroupDisplayType;
    set hd(a: ToolActionButtonGroupDisplayType);
    get hy(): number;
    set hy(a: number);
    f3(a: ToolAction): void;
    private hh;
    protected ff(): void;
    k(a: boolean): ToolActionEventDetail;
    protected fh(a: List$1<ToolCommandArgument>): void;
    private he;
    private hf;
    private hg;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private h0;
    private hz;
    private hv;
    private g8;
    private jo;
    private ho;
    private hp;
    private g7;
    private jm;
    private jn;
    private hr;
    private hk;
    private hm;
    private hn;
    private hl;
    private hi;
    private hj;
    private hq;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected f5(a: string, b: any, c: any): void;
    protected gh(): void;
    protected go(): void;
}
/**
 * @hidden
 */
export declare class ToolActionCheckboxList extends ToolAction {
    static $t: Type;
    private ha;
    private hf;
    private hc;
    private hg;
    private he;
    private hb;
    protected get_z(): ToolActionType;
    e8(a: ToolPanel, b: ToolActionMeasurementContext): void;
    protected fb(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    get itemsSource(): any;
    set itemsSource(a: any);
    get ho(): string;
    set ho(a: string);
    get hd(): boolean;
    set hd(a: boolean);
    get hi(): string;
    set hi(a: string);
    get g7(): string[];
    set g7(a: string[]);
    get g8(): LayoutSelectedKeysCollection;
    set g8(a: LayoutSelectedKeysCollection);
    get g9(): ToolActionCheckboxListIndexType;
    set g9(a: ToolActionCheckboxListIndexType);
    protected f5(a: string, b: any, c: any): void;
    private hw;
    private hy;
    private hx;
    private hz;
    private hv;
    private hs;
    private hr;
    private ht;
    private hu;
    k(a: boolean): ToolActionEventDetail;
    protected fh(a: List$1<ToolCommandArgument>): void;
    protected gm(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionSubPanel extends ToolAction {
    static $t: Type;
    private g7;
    private g8;
    constructor();
    protected get_z(): ToolActionType;
    e8(a: ToolPanel, b: ToolActionMeasurementContext): void;
    protected fb(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private ha;
    private g9;
    protected e3(a: NativeUIContent): void;
    protected f5(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class ToolActionTextInput extends ToolAction {
    static $t: Type;
    private g7;
    protected get_z(): ToolActionType;
    get g9(): string;
    set g9(a: string);
    protected fh(a: List$1<ToolCommandArgument>): void;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    g8(): string;
    k(a: boolean): ToolActionEventDetail;
    private hb;
    private hc;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected f5(a: string, b: any, c: any): void;
    protected fq(): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionButton extends ToolAction {
    static $t: Type;
    protected get_z(): ToolActionType;
    protected get_ci(): number;
    get g7(): ToolActionButtonDisplayType;
    set g7(a: ToolActionButtonDisplayType);
    get hb(): number;
    set hb(a: number);
    f3(a: ToolAction): void;
    private g9;
    k(a: boolean): ToolActionEventDetail;
    private g8;
    b0(a: ToolPanel, b: ToolActionMeasurementContext): number;
    b2(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected ff(): void;
    private hc;
    private hd;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected fb(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    private hh;
    private hg;
    private ha;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected f5(a: string, b: any, c: any): void;
    protected gh(): void;
    protected go(): void;
}
/**
 * @hidden
 */
export declare class ToolActionLabel extends ToolAction {
    static $t: Type;
    private static readonly g8;
    private g7;
    protected get_a0(): boolean;
    constructor();
    protected get_z(): ToolActionType;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private g9;
    protected fq(): void;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected f5(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class ToolActionRadio extends ToolAction {
    static $t: Type;
    private g7;
    protected get_z(): ToolActionType;
    private ha;
    get hf(): string;
    set hf(a: string);
    get g8(): boolean;
    set g8(a: boolean);
    get g9(): boolean;
    set g9(a: boolean);
    get hv(): Brush;
    set hv(a: Brush);
    get hr(): Brush;
    set hr(a: Brush);
    get ht(): Brush;
    set ht(a: Brush);
    get hp(): Brush;
    set hp(a: Brush);
    get hw(): Brush;
    set hw(a: Brush);
    get hs(): Brush;
    set hs(a: Brush);
    get hu(): Brush;
    set hu(a: Brush);
    get hq(): Brush;
    set hq(a: Brush);
    k(a: boolean): ToolActionEventDetail;
    protected fh(a: List$1<ToolCommandArgument>): void;
    hm(): void;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected gh(): void;
    protected go(): void;
    protected fq(): void;
    private hn;
    private ho;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected f5(a: string, b: any, c: any): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionSeparator extends ToolAction {
    static $t: Type;
    private g8;
    get g9(): number;
    set g9(a: number);
    get g7(): boolean;
    set g7(a: boolean);
    constructor();
    protected get_z(): ToolActionType;
    e8(a: ToolPanel, b: ToolActionMeasurementContext): void;
    protected fb(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected fa(a: NativeUIGrid, b: ToolActionMeasurementContext): void;
    protected gm(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected f5(a: string, b: any, c: any): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionIconButton extends ToolAction {
    static $t: Type;
    private hc;
    private g9;
    private g7;
    private h9;
    private ia;
    private h0;
    private hj;
    private hg;
    private hf;
    private hk;
    protected get_z(): ToolActionType;
    protected get_bc(): boolean;
    protected get hd(): NativeUIPopup;
    protected get_hr(): boolean;
    protected get hr(): boolean;
    private hi;
    private ib;
    get id(): number;
    set id(a: number);
    get ic(): number;
    set ic(a: number);
    private hl;
    private hx;
    get h6(): number;
    set h6(a: number);
    private ht;
    get h2(): number;
    set h2(a: number);
    private hz;
    get h8(): number;
    set h8(a: number);
    private hv;
    get h4(): number;
    set h4(a: number);
    private hy;
    get h7(): number;
    set h7(a: number);
    private hu;
    get h3(): number;
    set h3(a: number);
    private hw;
    get h5(): number;
    set h5(a: number);
    private hs;
    get h1(): number;
    set h1(a: number);
    constructor();
    e2(): void;
    k(a: boolean): ToolActionEventDetail;
    protected ha: NativeUIButton;
    protected hb: NativeUIIcon;
    b0(a: ToolPanel, b: ToolActionMeasurementContext): number;
    b2(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected fb(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected e3(a: NativeUIContent): void;
    protected jc(a: NativeUIIcon): void;
    private jb;
    protected jd(a: NativeUIGrid, b: NativeUIPopup): void;
    protected ir(): void;
    protected is(a: boolean, b: boolean): void;
    protected iu(): void;
    protected it(): void;
    protected iv(): void;
    protected je(): Size;
    private i8;
    private i7;
    private hm;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected fv(): void;
    f2(): void;
    e4(): void;
    protected get_a7(): boolean;
    private get ho();
    popupOpening: (sender: any, args: ToolActionPopupOpeningEventArgs) => void;
    protected i9(a?: boolean): void;
    protected ja(): void;
    private he;
    protected iq(): void;
    private i1;
    private iw;
    protected hn(): boolean;
    protected iz(a: any, b: NativeUIMouseEventArgs): void;
    protected i0(a: any, b: NativeUIMouseEventArgs): void;
    protected ix(a: any, b: NativeUIButtonClickedEventArgs): void;
    protected hp(a: number): boolean;
    private hh;
    private i5;
    private i6;
    private i3;
    private i4;
    private hq;
    private i2;
    protected iy(a: any, b: NativeUIFocusEventArgs): void;
    protected f5(a: string, b: any, c: any): void;
    protected ff(): void;
    cm(): any;
}
/**
 * @hidden
 */
export declare class ToolActionGroupHeader extends ToolAction {
    static $t: Type;
    private static readonly hc;
    private g8;
    private g9;
    protected get_z(): ToolActionType;
    protected get_a0(): boolean;
    protected get_a1(): boolean;
    protected get_ba(): boolean;
    get hi(): Brush;
    set hi(a: Brush);
    get hj(): Brush;
    set hj(a: Brush);
    constructor();
    ae(a: ToolPanel): FontInfo;
    bz(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private g7;
    private ha;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private hg;
    private hh;
    private hf;
    private he;
    protected e3(a: NativeUIContent): void;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
}
/**
 * @hidden
 */
export declare class ToolActionIconMenu extends ToolActionIconButton {
    static $t: Type;
    protected static readonly jp: string;
    private jn;
    private jm;
    private jl;
    private jf;
    private ji;
    protected jh: NativeUIIcon;
    protected get_z(): ToolActionType;
    constructor();
    get jw(): Brush;
    set jw(a: Brush);
    get jv(): Brush;
    set jv(a: Brush);
    get jk(): boolean;
    set jk(a: boolean);
    protected get_hr(): boolean;
    protected is(a: boolean, b: boolean): void;
    protected fn(): void;
    protected iu(): void;
    protected it(): void;
    protected iv(): void;
    protected gh(): void;
    protected ff(): void;
    protected go(): void;
    protected je(): Size;
    protected i9(a?: boolean): void;
    b0(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private ju;
    private jj;
    private jg;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private js;
    protected f5(a: string, b: any, c: any): void;
    private jt;
    protected e1(a: ToolAction, b: string): void;
    f3(a: ToolAction): void;
    e(): NativeUIToolPanel;
    cm(): any;
    protected hn(): boolean;
    protected hp(a: number): boolean;
}
/**
 * @hidden
 */
export declare class ToolActionCheckbox extends ToolAction {
    static $t: Type;
    private g7;
    protected get_z(): ToolActionType;
    protected get_as(): boolean;
    get g8(): boolean;
    set g8(a: boolean);
    get hq(): Brush;
    set hq(a: Brush);
    get hm(): Brush;
    set hm(a: Brush);
    get ho(): Brush;
    set ho(a: Brush);
    get hk(): Brush;
    set hk(a: Brush);
    get hr(): Brush;
    set hr(a: Brush);
    get hn(): Brush;
    set hn(a: Brush);
    get hp(): Brush;
    set hp(a: Brush);
    get hl(): Brush;
    set hl(a: Brush);
    f3(a: ToolAction): void;
    k(a: boolean): ToolActionEventDetail;
    protected fh(a: List$1<ToolCommandArgument>): void;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected e3(a: NativeUIContent): void;
    protected fq(): void;
    private hj;
    private hi;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected f5(a: string, b: any, c: any): void;
    protected fw(): void;
}
/**
 * @hidden
 */
export declare class ToolActionNumberInput extends ToolAction {
    static $t: Type;
    private g7;
    protected get_z(): ToolActionType;
    get g9(): number;
    set g9(a: number);
    protected fh(a: List$1<ToolCommandArgument>): void;
    b1(a: ToolPanel, b: ToolActionMeasurementContext): number;
    g8(): number;
    k(a: boolean): ToolActionEventDetail;
    private hb;
    private hc;
    f1(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected gh(): void;
    protected go(): void;
    protected f5(a: string, b: any, c: any): void;
    protected fq(): void;
    protected ff(): void;
}
/**
 * @hidden
 */
export declare class ToolActionCollection extends ObservableCollection$1<ToolAction> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class Toolbar extends Base implements INotifyPropertyChanged, ICommandStateChangedListener {
    static $t: Type;
    p: ToolbarView;
    private ag;
    constructor();
    private ae;
    private get af();
    private t;
    private s;
    ds(a: ToolPanel): void;
    private di;
    private q;
    private d1;
    private dz;
    dv(a: Size): void;
    private u;
    get v(): BaseControlTheme;
    set v(a: BaseControlTheme);
    private w;
    get x(): ControlDisplayDensity;
    set x(a: ControlDisplayDensity);
    private g;
    get autoGeneratedActions(): ToolActionCollection;
    set autoGeneratedActions(a: ToolActionCollection);
    private e;
    get actions(): ToolActionCollection;
    set actions(a: ToolActionCollection);
    private f;
    get actualActions(): ToolActionCollection;
    set actualActions(a: ToolActionCollection);
    static l: ToolbarOrientation;
    private k;
    get m(): ToolbarOrientation;
    set m(a: ToolbarOrientation);
    y: IToolbarTarget;
    static bs: any;
    private br;
    get target(): any;
    set target(a: any);
    private eu;
    get fe(): Brush;
    set fe(a: Brush);
    private e7;
    get fs(): Brush;
    set fs(a: Brush);
    private ey;
    get fj(): Brush;
    set fj(a: Brush);
    private e6;
    get fr(): Brush;
    set fr(a: Brush);
    private e2;
    get fn(): Brush;
    set fn(a: Brush);
    e9: Brush;
    get fu(): Brush;
    set fu(a: Brush);
    ex: Brush;
    get fh(): Brush;
    set fh(a: Brush);
    private e0;
    get fl(): Brush;
    set fl(a: Brush);
    private fb;
    get fw(): Brush;
    set fw(a: Brush);
    private fa;
    get fv(): Brush;
    set fv(a: Brush);
    private a3;
    get bh(): number;
    set bh(a: number);
    private a4;
    get bi(): number;
    set bi(a: number);
    private e3;
    get fo(): Brush;
    set fo(a: Brush);
    private e4;
    get fp(): Brush;
    set fp(a: Brush);
    private z;
    get ab(): FontInfo;
    set ab(a: FontInfo);
    private aa;
    get ad(): FontInfo;
    set ad(a: FontInfo);
    ac(): FontInfo;
    private a0;
    get be(): number;
    set be(a: number);
    private a1;
    get bf(): number;
    set bf(a: number);
    private a2;
    get bg(): number;
    set bg(a: number);
    private az;
    get bd(): number;
    set bd(a: number);
    private aw;
    get ba(): number;
    set ba(a: number);
    private ax;
    get bb(): number;
    set bb(a: number);
    private ay;
    get bc(): number;
    set bc(a: number);
    private av;
    get a9(): number;
    set a9(a: number);
    private aj;
    get ap(): boolean;
    set ap(a: boolean);
    private ak;
    get aq(): boolean;
    set aq(a: boolean);
    private bj;
    get bm(): number;
    set bm(a: number);
    private au;
    get a8(): number;
    set a8(a: number);
    private at;
    get a7(): number;
    set a7(a: number);
    private e1;
    get fm(): Brush;
    set fm(a: Brush);
    private e5;
    get fq(): Brush;
    set fq(a: Brush);
    private fc;
    get fx(): Brush;
    set fx(a: Brush);
    private ev;
    get ff(): Brush;
    set ff(a: Brush);
    private fd;
    get fy(): Brush;
    set fy(a: Brush);
    private ew;
    get fg(): Brush;
    set fg(a: Brush);
    private bl;
    get bq(): number;
    set bq(a: number);
    private e8;
    get ft(): Brush;
    set ft(a: Brush);
    private ez;
    get fk(): Brush;
    set fk(a: Brush);
    private bk;
    get bn(): number;
    set bn(a: number);
    private _userSetWidth;
    get userSetWidth(): boolean;
    set userSetWidth(a: boolean);
    private _userSetHeight;
    get userSetHeight(): boolean;
    set userSetHeight(a: boolean);
    private dj;
    private dl;
    private dm;
    private et;
    private es;
    private dk;
    private du;
    private ai;
    private ah;
    protected d4(): void;
    private dq;
    private d5;
    private al;
    private am;
    dr(): void;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected dw(a: string, b: any, c: any): void;
    protected d2(a: string, b: any, c: any): void;
    private eq;
    get ao(): boolean;
    f0(): Size;
    private d0;
    private er;
    private c;
    get d(): IExecutionContext;
    set d(a: IExecutionContext);
    dn(): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    subMenuOpening: (sender: any, args: ToolbarSubMenuOpeningEventArgs) => void;
    subMenuClosing: (sender: any, args: ToolbarSubMenuClosingEventArgs) => void;
    dy(): void;
    dx(): void;
    onCommandStateChanged(a: string, b: ToolCommandStateType, c: any): void;
    private d6;
    d8(a: string, b: string, c: string): void;
    ci(a: string, b: string): string;
    ea(a: string, b: string, c: string[]): void;
    a(a: string, b: string): string[];
    d7(a: string, b: string, c: string): void;
    ch(a: string, b: string): string;
    d9(a: string, b: string, c: any): void;
    b0(a: string, b: string): any;
    ed(a: string, b: Brush): void;
    fi(a: string): Brush;
    ej(a: string, b: any): void;
    bx(a: string): any;
    ec(a: string, b: BrushCollection): void;
    b(a: string): BrushCollection;
    ei(a: string, b: any): void;
    bw(a: string): any;
    eh(a: string, b: number): void;
    a5(a: string): number;
    eo(a: string, b: number): void;
    a6(a: string): number;
    em(a: string, b: any): void;
    bp(a: string): number;
    en(a: string, b: any): void;
    bo(a: string): number;
    ep(a: string, b: string): void;
    cj(a: string): string;
    eb(a: string, b: boolean): void;
    an(a: string): boolean;
    ee(a: string, b: Color): void;
    fz(a: string): Color;
    ek(a: string, b: any): void;
    by(a: string): any;
    eg(a: string, b: any): void;
    bv(a: string): any;
    el(a: string, b: any): void;
    bz(a: string): any;
    ef(a: string, b: any): void;
    bu(a: string): any;
    bt(): any;
    cg(): string;
}
/**
 * @hidden
 */
export declare class ToolbarContextAccessor extends Base implements IToolbarContextAccessor {
    static $t: Type;
    private a;
    private b;
    constructor(a: Toolbar, b: boolean);
    getContextValue(a: string, b: ToolContextValueType): any;
    getInternalAccessor(): IToolbarContextAccessor;
    setContextValue(a: string, b: ToolContextValueType, c: any): void;
}
/**
 * @hidden
 */
export declare class ToolActionPopupOpeningEventArgs extends Base {
    static $t: Type;
    constructor();
    a: ToolAction;
    b: boolean;
}
/**
 * @hidden
 */
export declare class ToolPanel extends Base implements INotifyPropertyChanged {
    static $t: Type;
    v: ToolPanelView;
    an: NativeUIGrid;
    cz: any;
    private o;
    get p(): ToolPanelContext;
    set p(a: ToolPanelContext);
    private aq;
    private ao;
    private get ap();
    fs(a: ListPanel): void;
    f1(): void;
    f0(): void;
    private fe;
    private ff;
    private fg;
    private k;
    private fh;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private i;
    fx(a: Size): void;
    contentRefreshed: (sender: any, args: ToolPanelContentRefreshedEventArgs) => void;
    get actions(): ToolActionCollection;
    set actions(a: ToolActionCollection);
    private as;
    get ay(): boolean;
    set ay(a: boolean);
    private at;
    get az(): boolean;
    set az(a: boolean);
    private cl;
    get cp(): number;
    set cp(a: number);
    constructor();
    private fi;
    private fj;
    private fw;
    private ar;
    protected f7(): void;
    f9(): void;
    private fo;
    private a1;
    private a2;
    private a0;
    private fk;
    aw(a: ToolAction): boolean;
    h(a: string): ToolAction;
    a3(a: ToolAction): List$1<ToolAction>;
    private l;
    f3(a: ToolActionMeasurementContext): void;
    private fu;
    private gd;
    jj(): Size;
    private fp;
    fr(): void;
    ga(): void;
    f8(a: ToolAction): void;
    private ft;
    private fl;
    f4(): void;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    private ag;
    get ak(): FontInfo;
    set ak(a: FontInfo);
    private ae;
    get ai(): FontInfo;
    set ai(a: FontInfo);
    private af;
    get aj(): FontInfo;
    set aj(a: FontInfo);
    private ah;
    get am(): FontInfo;
    set am(a: FontInfo);
    al(): FontInfo;
    protected fz(a: string, b: any, c: any): void;
    protected f5(a: string, b: any, c: any): void;
    private g0;
    private gz;
    private gw;
    private gx;
    c: IExecutionContext;
    private w;
    get x(): BaseControlTheme;
    set x(a: BaseControlTheme);
    private z;
    get ac(): ControlDisplayDensity;
    set ac(a: ControlDisplayDensity);
    private y;
    get ab(): ControlDisplayDensity;
    set ab(a: ControlDisplayDensity);
    private hm;
    get iu(): Brush;
    set iu(a: Brush);
    private g1;
    get h7(): Brush;
    set h7(a: Brush);
    private h0;
    get ja(): Brush;
    set ja(a: Brush);
    private hf;
    get im(): Brush;
    set im(a: Brush);
    private hq;
    get i0(): Brush;
    set i0(a: Brush);
    private g5;
    get ib(): Brush;
    set ib(a: Brush);
    private hz;
    get i9(): Brush;
    set i9(a: Brush);
    private he;
    get il(): Brush;
    set il(a: Brush);
    private hr;
    get i1(): Brush;
    set i1(a: Brush);
    static readonly c9: string;
    private g6;
    get ic(): Brush;
    set ic(a: Brush);
    private hv;
    get i5(): Brush;
    set i5(a: Brush);
    private ha;
    get ih(): Brush;
    set ih(a: Brush);
    private f;
    private bi;
    h2: Brush;
    get jc(): Brush;
    set jc(a: Brush);
    private hh;
    get ip(): Brush;
    set ip(a: Brush);
    private hg;
    get io(): Brush;
    set io(a: Brush);
    private h1;
    get jb(): Brush;
    set jb(a: Brush);
    hp: Brush;
    get ix(): Brush;
    set ix(a: Brush);
    private g4;
    get ia(): Brush;
    set ia(a: Brush);
    private ht;
    get i3(): Brush;
    set i3(a: Brush);
    private g8;
    get ie(): Brush;
    set ie(a: Brush);
    private hs;
    get i2(): Brush;
    set i2(a: Brush);
    private g7;
    get id(): Brush;
    set id(a: Brush);
    private h4;
    get je(): Brush;
    set je(a: Brush);
    private hj;
    get ir(): Brush;
    set ir(a: Brush);
    private h3;
    get jd(): Brush;
    set jd(a: Brush);
    private hi;
    get iq(): Brush;
    set iq(a: Brush);
    private br;
    get ci(): number;
    set ci(a: number);
    private be;
    get b4(): number;
    set b4(a: number);
    private bs;
    get cj(): number;
    set cj(a: number);
    private bf;
    get b5(): number;
    set b5(a: number);
    private hw;
    get i6(): Brush;
    set i6(a: Brush);
    private hb;
    get ii(): Brush;
    set ii(a: Brush);
    private hx;
    get i7(): Brush;
    set i7(a: Brush);
    private hc;
    get ij(): Brush;
    set ij(a: Brush);
    private bo;
    get cf(): number;
    set cf(a: number);
    private bb;
    get b1(): number;
    set b1(a: number);
    private bp;
    get cg(): number;
    set cg(a: number);
    private bc;
    get b2(): number;
    set b2(a: number);
    private bq;
    get ch(): number;
    set ch(a: number);
    private bd;
    get b3(): number;
    set b3(a: number);
    private bn;
    get ce(): number;
    set ce(a: number);
    private ba;
    get b0(): number;
    set b0(a: number);
    private bk;
    get cb(): number;
    set cb(a: number);
    private a7;
    get bx(): number;
    set bx(a: number);
    private bl;
    get cc(): number;
    set cc(a: number);
    private a8;
    get by(): number;
    set by(a: number);
    private bm;
    get cd(): number;
    set cd(a: number);
    private a9;
    get bz(): number;
    set bz(a: number);
    private bj;
    get ca(): number;
    set ca(a: number);
    private a6;
    get bw(): number;
    set bw(a: number);
    static t: ToolPanelOrientation;
    private s;
    get u(): ToolPanelOrientation;
    set u(a: ToolPanelOrientation);
    f2(a: ToolAction, b: ToolCommandEventArgs): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    private cn;
    get ct(): number;
    set ct(a: number);
    get bv(): number;
    private bh;
    get b9(): number;
    set b9(a: number);
    private a5;
    get bu(): number;
    set bu(a: number);
    private bg;
    get b8(): number;
    set b8(a: number);
    private a4;
    get bt(): number;
    set bt(a: number);
    private hu;
    get i4(): Brush;
    set i4(a: Brush);
    private g9;
    get ig(): Brush;
    set ig(a: Brush);
    private hy;
    get i8(): Brush;
    set i8(a: Brush);
    private hd;
    get ik(): Brush;
    set ik(a: Brush);
    private h5;
    get jf(): Brush;
    set jf(a: Brush);
    private hk;
    get is(): Brush;
    set is(a: Brush);
    private hn;
    get iv(): Brush;
    set iv(a: Brush);
    private g2;
    get h8(): Brush;
    set h8(a: Brush);
    private h6;
    get jg(): Brush;
    set jg(a: Brush);
    private hl;
    get it(): Brush;
    set it(a: Brush);
    private ho;
    get iw(): Brush;
    set iw(a: Brush);
    private g3;
    get h9(): Brush;
    set h9(a: Brush);
    private cm;
    get cq(): number;
    set cq(a: number);
    private ck;
    get co(): number;
    set co(a: number);
    g: NestedActionMode;
    private fy;
    onContextChanged: (sender: any, args: ToolPanelContextChangedEventArgs) => void;
    onContextSwapped: (sender: any, args: ToolPanelContextSwappedEventArgs) => void;
    drillDownRequested: (sender: any, e: DrillDownRequestedEventArgs) => void;
    drillUpRequested: (sender: any, e: DrillDownRequestedEventArgs) => void;
    gb(a: ToolAction): void;
    gc(a: ToolAction): void;
    fm(): void;
    get ax(): boolean;
    private aa;
    private get ad();
    private set ad(value);
    gy(a: ControlDisplayDensity): void;
    cu(): any;
    ee(): string;
    gi(a: string, b: Brush): void;
    static gj(a: ToolPanelContext, b: string, c: Brush): void;
    iy(a: string): Brush;
    static iz(a: ToolPanelContext, b: string): Brush;
    gg(a: string, b: BrushCollection): void;
    static gh(a: ToolPanelContext, b: string, c: BrushCollection): void;
    a(a: string): BrushCollection;
    static b(a: ToolPanelContext, b: string): BrushCollection;
    gq(a: string, b: number): void;
    static gr(a: ToolPanelContext, b: string, c: number): void;
    b6(a: string): number;
    static b7(a: ToolPanelContext, b: string): number;
    gs(a: string, b: number): void;
    static gt(a: ToolPanelContext, b: string, c: number): void;
    cr(a: string): number;
    static cs(a: ToolPanelContext, b: string): number;
    gu(a: string, b: string): void;
    static gv(a: ToolPanelContext, b: string, c: string): void;
    ef(a: string): string;
    static eg(a: ToolPanelContext, b: string): string;
    ge(a: string, b: boolean): void;
    static gf(a: ToolPanelContext, b: string, c: boolean): void;
    au(a: string): boolean;
    static av(a: ToolPanelContext, b: string): boolean;
    gk(a: string, b: Color): void;
    static gl(a: ToolPanelContext, b: string, c: Color): void;
    jh(a: string): Color;
    static ji(a: ToolPanelContext, b: string): Color;
    go(a: string, b: any): void;
    static gp(a: ToolPanelContext, b: string, c: any): void;
    cx(a: string): any;
    static cy(a: ToolPanelContext, b: string): any;
    gm(a: string, b: any): void;
    static gn(a: ToolPanelContext, b: string, c: any): void;
    cv(a: string): any;
    static cw(a: ToolPanelContext, b: string): any;
    fq(): void;
}
/**
 * @hidden
 */
export declare class DrillDownRequestedEventArgs extends Base {
    static $t: Type;
    a: ToolAction;
}
/**
 * @hidden
 */
export declare class ToolPanelsPresenter extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private ad;
    private i;
    private j;
    private aa;
    private p;
    private a;
    private d;
    private g;
    private a0;
    private a1;
    private q;
    private b;
    private e;
    private h;
    private c;
    private f;
    private y;
    private u;
    private get a2();
    private set a2(value);
    private get a3();
    private set a3(value);
    s: NativeUIGrid;
    r: NativeUIAbsolutePanel;
    private w;
    get x(): List$1<PanelInfo>;
    private n;
    get o(): BaseControlTheme;
    set o(a: BaseControlTheme);
    private z;
    get ab(): number;
    set ab(a: number);
    t: (arg1: ToolCommandEventArgs) => void;
    private ac;
    constructor(a: any, b: IExecutionContext);
    ak(a: () => void): void;
    a4(): Size;
    k(): PanelInfo;
    ag(a: ToolAction, b?: (arg1: NativeUIToolPanel) => void): void;
    al(a: NativeUIToolPanel): void;
    an(a: number): void;
    am(a: PanelInfo, b?: () => void): void;
    private as;
    private at;
    private aq;
    private ah;
    private aj;
    private ap;
    private v;
    ax(): void;
    private ai;
    ay(): void;
    az(a: BaseControlTheme, b: ToolPanel): void;
    ao(): void;
    containerReady: (sender: any) => void;
    private ar;
    sizeChanged: (sender: any) => void;
    private av;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private au;
    protected aw(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class PanelInfo extends Base {
    static $t: Type;
    c: number;
    a: NativeUIToolPanel;
    b: ToolAction;
    constructor(a: ToolAction, b: NativeUIToolPanel, c: number);
    f(): Size;
    e(): void;
    d(a: Size): void;
}
/**
 * @hidden
 */
export declare class PanelAnimationRequest extends Base {
    static $t: Type;
    a: PanelInfo;
    c: number;
    b: () => void;
}
